#32/64 

%define _requires_exceptions  libjpeg.so.62 

Summary: 	A 3D subdivision modeler
Name: 		wings3d
Version: 	1.4.1
Release: 	%mkrel 1
License: 	BSD-like
Group: 		Graphics
URL: 		http://www.wings3d.com
#http://sourceforge.net/projects/wings/files/wings/1.4.1/wings-1.4.1-linux.bzip2.run.gz/download
Source0: 	wings-%{version}.tar.xz
Source1:   	%{name}.png
Source2:        %{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Requires Nvidia or Ati fglrx drivers supporting 3D graphics.

Wings 3D is a free and open source polygon mesh subdivision 
modeller inspired by Nendo and Mirai from Izware, all using 
the winged edge data structure.Wings 3D is ideally suited for 
modeling and texturing low to medium density polygon meshes. 
It has a wide range of very effective tools optimised for these 
tasks hidden behind its 'minimalistic' interface.



%prep

%setup -q -n wings-%{version}


%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -r bin %{buildroot}%{_datadir}/%{name}
cp -r lib %{buildroot}%{_datadir}/%{name}

install -dm 755 %{buildroot}%{_bindir}
install -m 755 %SOURCE2 %{buildroot}%{_datadir}/%{name}
ln -s %{_datadir}/%{name}/%{name} $RPM_BUILD_ROOT/%{_bindir}

# icons
install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert %{SOURCE1} -size 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert %{SOURCE1} -size 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert %{SOURCE1} -size 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Wings 3D
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;3DGraphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS license.terms README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop



%changelog
* Sat Sep 14 2013 Ken <lxgator at gmail.com> 1.4.1-1pclos2013
- 1.4.1

* Sat Jul 31 2010 Texstar <texstar at gmail.com> 1.2-2pclos2010
- convert source to tar.xz
- add X-MandrivaLinux-Multimedia-Graphics to menu entry

* Sat Jul 31 2010 maik3531 <maik3531 at yahoo.de> 1.2-1pclos2010
- Import wings3d from mdv

